Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::Thresholds Struct Reference

Numeric sensor thresholds. More...

## Public Attributes
boolean | upperCriticalActive
| `true` if the upper critical threshold is enabled
double | upperCritical
| Upper critical threshold.
boolean | upperWarningActive
| `true` if the upper warning threshold is enabled
double | upperWarning
| Upper warning threshold.
boolean | lowerWarningActive
| `true` if the lower warning threshold is enabled
double | lowerWarning
| Lower warning threshold.
boolean | lowerCriticalActive
| `true` if the lower critical threshold is enabled
double | lowerCritical
| Lower critical threshold.
int | assertionTimeout
| Assertion timeout in samples.
float | deassertionHysteresis
| Deassertion hysteresis.

## Detailed Description

Numeric sensor thresholds.

The documentation for this struct was generated from the following file:

- NumericSensor.idl